fbsql_fetch_array
fbsql_fetch_field
FrontBase Functions
PHP Manual

# fbsql_fetch_assoc

(PHP 4 >= 4.0.6, PHP 5, PHP 7)

fbsql_fetch_assoc — Fetch a result row as an associative array

### Description

array fbsql_fetch_assoc ( resource `$result` )

Calling fbsql_fetch_assoc() is equivalent to calling fbsql_fetch_array() with `FBSQL_ASSOC` as second parameter. It only returns an associative array.

This is the way fbsql_fetch_array() originally worked. If you need the numeric indices as well as the associative, use fbsql_fetch_array().

An important thing to note is that using fbsql_fetch_assoc() is NOT significantly slower than using fbsql_fetch_row(), while it provides a significant added value.

### Parameters

`result`

  A result identifier returned by fbsql_query() or fbsql_db_query().

### Return Values

Returns an associative array that corresponds to the fetched row, or `FALSE` if there are no more rows.

If two or more columns of the result have the same field names, the last column will take precedence. To access the other column(s) of the same name, you must use fbsql_fetch_array() and have it return the numeric indices as well.

### Examples

Example #1 fbsql_fetch_assoc() example

`<?php
fbsql_connect($host, $user, $password);
$result = fbsql_db_query("database", "select * from table");
while ($row = fbsql_fetch_assoc($result)) {
echo $row["user_id"];
echo $row["fullname"];
}
fbsql_free_result($result);
?>`

### See Also

- fbsql_fetch_row() - Get a result row as an enumerated array
- fbsql_fetch_array() - Fetch a result row as an associative array, a numeric array, or both
- fbsql_fetch_object() - Fetch a result row as an object

fbsql_fetch_array
fbsql_fetch_field
FrontBase Functions
PHP Manual